Core resources
Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgetsBooking flow
Query availabilitySearch availabilityBookCodes guests can enter for additional discounts
iduuidUnique identifier
created_attimestamp with time zoneCreation timestamp
updated_attimestamp with time zoneLast modification timestamp
deleted_attimestamp with time zone | nullTimestamp at which the coupon was deleted
codetextCoupon code
definitionPriceExpressionDefinition of the coupon
descriptiontextDescription of the coupon
ftstsvectorFull text search index
quotainteger | nullMaximum number of times this coupon can be used
scope"global" | "product" | "service" | "rent"Scope of the coupon
stackablebooleanWhether the coupon can be used together with other coupons in one booking
JSON
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-03-12T04:02:28.654Z",
"updated_at": "2026-03-12T04:02:28.654Z",
"deleted_at": "2026-03-12T04:02:28.654Z",
"code": "",
"definition": {
"restrictions": [],
"type": "absolute",
"value": [
{
"occupancy_group_id": null,
"period": null,
"value": 10
}
]
},
"description": "",
"quota": 0,
"scope": "global",
"stackable": true
}idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
deleted_atFilter<timestamp with time zone | null>Timestamp at which the coupon was deleted
codeFilter<text>Coupon code
definitionFilter<PriceExpression>Definition of the coupon
descriptionFilter<text>Description of the coupon
ftsFilter<tsvector>Full text search index
quotaFilter<integer | null>Maximum number of times this coupon can be used
scopeFilter<"global" | "product" | "service" | "rent">Scope of the coupon
stackableFilter<boolean>Whether the coupon can be used together with other coupons in one booking
200A list of coupons with the selected columns
206Partial Content
GET /couponscurl -X GET "https://api.bookingmood.com/v1/coupons?select=*" \
-H "Authorization: Bearer YOUR_API_KEY"Partial<Coupon> | Array<Partial<Coupon>>201The newly created coupons with the selected columns
POST /couponscurl -X POST "https://api.bookingmood.com/v1/coupons" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[]'idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
deleted_atFilter<timestamp with time zone | null>Timestamp at which the coupon was deleted
codeFilter<text>Coupon code
definitionFilter<PriceExpression>Definition of the coupon
descriptionFilter<text>Description of the coupon
ftsFilter<tsvector>Full text search index
quotaFilter<integer | null>Maximum number of times this coupon can be used
scopeFilter<"global" | "product" | "service" | "rent">Scope of the coupon
stackableFilter<boolean>Whether the coupon can be used together with other coupons in one booking
204The deleted coupons with the selected columns
DELETE /couponscurl -X DELETE "https://api.bookingmood.com/v1/coupons" \
-H "Authorization: Bearer YOUR_API_KEY"idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
deleted_atFilter<timestamp with time zone | null>Timestamp at which the coupon was deleted
codeFilter<text>Coupon code
definitionFilter<PriceExpression>Definition of the coupon
descriptionFilter<text>Description of the coupon
ftsFilter<tsvector>Full text search index
quotaFilter<integer | null>Maximum number of times this coupon can be used
scopeFilter<"global" | "product" | "service" | "rent">Scope of the coupon
stackableFilter<boolean>Whether the coupon can be used together with other coupons in one booking
Partial<Coupon>204The updated coupons with the selected columns
PATCH /couponscurl -X PATCH "https://api.bookingmood.com/v1/coupons" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{}'